    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * -------------
    028 * Values2D.java
    029 * -------------
    030 * (C) Copyright 2002-2008, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes:
    036 * --------
    037 * 28-Oct-2002 : Version 1 (DG);
    038 *
    039 */
    040
    041package org.jfree.data;
    042
    043/**
    044 * A general purpose interface that can be used to access a table of values.
    045 */
    046public interface Values2D {
    047
    048    /**
    049     * Returns the number of rows in the table.
    050     *
    051     * @return The row count.
    052     */
    053    public int getRowCount();
    054
    055    /**
    056     * Returns the number of columns in the table.
    057     *
    058     * @return The column count.
    059     */
    060    public int getColumnCount();
    061
    062    /**
    063     * Returns a value from the table.
    064     *
    065     * @param row  the row index (zero-based).
    066     * @param column  the column index (zero-based).
    067     *
    068     * @return The value (possibly <code>null</code>).
    069     *
    070     * @throws IndexOutOfBoundsException if the <code>row</code>
    071     *         or <code>column</code> is out of bounds.
    072     */
    073    public Number getValue(int row, int column);
    074
    075}